--- title: "Download Bulk Write Result" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/bulk-write-rows/download-bulk-write-result/ description: "This API enables you to download the result of a successful bulk write job that you initiated previously." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Download Bulk Write Result ### Description You can execute this API to download the result of a successful [bulk write job](https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/bulk-write-rows/download-bulk-write-result/#CreateBulkWriteJob) that you initiated. This URL will also be sent in JSON response for the success state. The downloaded CSV file will contain the details of the job execution. It will list all the records that were skipped from being written along with the reasons. > **Note:** The download URL will be valid for **1 day** after its generation. The link will expire after that time period, and you will not be able to obtain the CSV result file containing the job details. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/bulk/write/{job_id}/download - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **job_id** (Numerical):
The unique ID of the job that was sent in the initial [in-progress status response](https://docs.catalyst.zoho.com/en/api/introduction/overview-and-prerequisites/#response-details) after the Bulk Write API was executed
#### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.tables.bulk.CREATE ### Response Details The bulk write result file will be automatically downloaded to the configured directory in your system after you execute this API. **File format:** ZIP file containing the CSV result file Sample result file showing the details of a bulk write job:  **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/bulk/write/2000000110044/download \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ```